\encoding UTF8;
/****************************************************************************/
/* GF42 ( 郵便番号定義 )                                                    */
/* Created : 2022/11/10 17:41:32                                            */
/****************************************************************************/


ALTER TABLE GF42 DROP CONSTRAINT GF42_LUQ;

alter table gf42 add constraint gf42_luq unique( postcode,pref_kana,city_kana,town_kana );


DROP INDEX GF42_SA;

create index gf42_sa on gf42( jigyo_kana );


DROP INDEX GF42_SB;

create index gf42_sb on gf42( city_kana,jiscode );


DROP INDEX GF42_SC;

create index gf42_sc on gf42( town_kana );


DROP INDEX GF42_SD;

create index gf42_sd on gf42( jigyo_kanji );


DROP INDEX GF42_SE;

create index gf42_se on gf42( city_kanji );


DROP INDEX GF42_SF;

create index gf42_sf on gf42( town_kanji );
